<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns="http://www.w3.org/1999/xhtml">

	<div class="row">
		<div class="col-md-12">
			<h:form id="globalform">
				<h1>#{title}</h1>
                #{tcDescriberManager.initSelectedTCDescriber()}
                <ui:decorate
					template="/layout/panels/_panel_title_footer.xhtml">
					<ui:param name="styleClass" value="panel-info" />
					<ui:define name="panel_title">#{title}</ui:define>

					<s:decorate id="tcdDecoration" template="/layout/form/_edit.xhtml">
						<ui:param name="id" value="tcNameInput" />
						<ui:define name="label">#{messages['net.ihe.gazelle.TemplatesContainmentName']}</ui:define>
						<h:inputText id="tcNameInput" styleClass="form-control"
							required="true"
							value="#{tcDescriberManager.selectedTCDescriber.tcName}">
						</h:inputText>
					</s:decorate>

					<rich:fileUpload id="uploadTCD"
						fileUploadListener="#{tcDescriberManager.uploadTCDListener}"
						maxFilesQuantity="1" acceptedTypes="xml" listHeight="90px"
						listWidth="width: inherit;" immediateUpload="true">
					</rich:fileUpload>

					<ui:define name="panel_footer">
						<h:commandButton id="saveTCD"
							value="#{messages['gazelle.simulator.Save']}"
							action="#{tcDescriberManager.save()}" styleClass="gzl-btn-green" />
						<h:commandLink value="#{messages['net.ihe.gazelle.cdagen.Back']}" styleClass="gzl-btn"
							onclick="window.history.go(-1); return false;" />

					</ui:define>
				</ui:decorate>
			</h:form>
		</div>
	</div>
</ui:composition>